/***************************************************************************

	vidhrdw.c

	NEOGEO CDZ video emulation

***************************************************************************/

#ifndef	VIDHRDW_H
#define VIDHRDW_H

extern int neogeo_blitter;

extern u16 *video_buffer;

extern u16 neogeo_vidram16[0x10000];
extern u16 neogeo_vidram16_modulo;
extern u16 neogeo_vidram16_offset;
extern u32 neogeo_palette_index;
extern u32 neogeo_palette_flag;
extern u16 *neogeo_paletteram16;
extern u16 neogeo_palettebank16[2][0x1000];

extern int video_enable;
extern int spr_disable;
extern int fix_disable;

extern u16 *video_palette16;
extern u16 video_palettebank16[2][0x1000];
extern u16 video_clut16[0x8000];
extern u8  video_fix_usage[0x1000];
extern u8  video_spr_usage[0x8000];


void neogeo_video_init(void);
void neogeo_video_reset(void);
void neogeo_screenrefresh(void);
void neogeo_loading_screenrefresh(int flag);

void snapshot_init(void);
void save_snapshot(void);

#ifdef SAVE_STATE
void state_save_vidhrdw(u8 *state_buf);
void state_load_vidhrdw(u8 *state_buf);
#endif

#endif /* VIDHRDW_H */
